Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::BcastStateSend Class Reference

BcastStateSend does the send part of a broadcast of an object to all nodes. More...

`#include <mstate.h>`

Inheritance diagram for sc::BcastStateSend:

[legend]
Collaboration diagram for sc::BcastStateSend:

[legend]
List of all members.

## Public Methods
| BcastStateSend (const Ref< MessageGrp > &)
| Create the BcastStateSend.
| ~BcastStateSend ()
void | flush ()
| Flush the data remaining in the buffer.

## Detailed Description

BcastStateSend does the send part of a broadcast of an object to all nodes.

Only one node uses a BcastStateSend and the rest must use a BcastStateRecv.

The documentation for this class was generated from the following file:

- mstate.h